org.eclipse.wst.jsdt.launching

## Class ExecutionArguments

- java.lang.Object
- - org.eclipse.wst.jsdt.launching.ExecutionArguments

    public class ExecutionArguments
    extends java.lang.Object

The execution arguments for running a JavaScript VM. The execution arguments are separated into two parts: arguments to the VM itself, and arguments to the JavaScript main program. This class provides convenience methods for parsing a string of arguments into separate components.

Clients may instantiate this class; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`ExecutionArguments(java.lang.String vmArgs, java.lang.String programArgs)` Creates a new execution arguments object.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getProgramArguments()` Returns the program arguments as one string.
`java.lang.String[]` `getProgramArgumentsArray()` Returns the program arguments as an array of individual arguments.
`java.lang.String` `getVMArguments()` Returns the VM arguments as one string.
`java.lang.String[]` `getVMArgumentsArray()` Returns the VM arguments as an array of individual arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecutionArguments

    public ExecutionArguments(java.lang.String vmArgs,
                              java.lang.String programArgs)

Creates a new execution arguments object.

Parameters:
  `vmArgs` - command line argument string passed to the VM
  `programArgs` - command line argument string passed to the program

### Method Detail

#### getVMArguments

    public java.lang.String getVMArguments()

Returns the VM arguments as one string.

Returns:
  the VM arguments as one string

#### getProgramArguments

    public java.lang.String getProgramArguments()

Returns the program arguments as one string.

Returns:
  the program arguments as one string

#### getVMArgumentsArray

    public java.lang.String[] getVMArgumentsArray()

Returns the VM arguments as an array of individual arguments.

Returns:
  the VM arguments as an array of individual arguments

#### getProgramArgumentsArray

    public java.lang.String[] getProgramArgumentsArray()

Returns the program arguments as an array of individual arguments.

Returns:
  the program arguments as an array of individual arguments